Bug 114094 - gnome-control-center: Could not find directory of control panels
Summary: gnome-control-center: Could not find directory of control panels
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: control-center   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-22 16:24 UTC by Felipe Alfaro Solana
Modified: 2013-04-02 04:19 UTC (History)
1 user (show)

Fixed In Version: gnome-vfs2-2.5.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-31 15:32:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of gnome-control-center (62.73 KB, text/plain)
2004-01-22 16:24 UTC, Felipe Alfaro Solana
no flags Details

Description Felipe Alfaro Solana 2004-01-22 16:24:10 UTC
Description of problem: 
----------------------- 
When trying to run "gnome-control-center" under the latest Fedora's 
development snapshot, I get the following error: 
 
** (gnome-control-center:2718): WARNING **: Could not find directory 
of control panels [preferences:///] 
 
Version-Release number of selected component (if applicable): 
control-center-2.4.0-3 
gnome-vfs2-2.5.5-3 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Update Fedora Linux Core 1 against the development repository 
2. Try running "gnome-control-center" (I did from within a KDE 
session) 
   
Actual results: 
gnome-control-center fails with an error message. 
 
Expected results: 
gnome-control-center should run with no errors. 
 
Additional info: 
I will attach an strace of gnome-control-center. It seems there is 
some kind of interaction problems between gnome-control-center and 
the latest gnome-vfs2-2.5.5-3 package. 
 
My /etc/gnome-vfs-2.0/vfolders directory is empty, and it seems this 
is what is causing gnome-control-center to fail. 
 
Also, this breaks other applications functionality. For example, 
clicking on a link on Evolution's summary page, displays the 
following error: 
 
(evolution:2732): evolution-mail-WARNING **: gnome_url_show: There 
was an error launching the default action command associated with 
this location.

Comment 1 Felipe Alfaro Solana 2004-01-22 16:24:46 UTC
Created attachment 97171 [details]
strace of gnome-control-center

Comment 2 Felipe Alfaro Solana 2004-01-31 15:32:03 UTC
This has been fixed in gnome-vfs2-2.5.6-1 from RawHide.


Note You need to log in before you can comment on or make changes to this bug.